/payments/pricing/query/customer-quote
1 min
POST
https://app.amberflo.io/payments/pricing/query/customer-quote
Body Parameters
- bodypayment.pricing.customer.indexable.api.IndexableCustomerQuoteQuery.in
- filtersmap<string, string[]>
- pagepayment.common.Page.inDescription
- numberinteger<int32>
- sizeinteger<int32>
- tokenstring
- takepayment.common.Take.inDescription
- limitinteger<int32>
- isAscendingboolean
- searchstringDescription
- sortFieldstringDescription
Responses
200
- payment.pricing.customer.indexable.api.IndexableCustomerPricingQuoteResponse.out
- metadatapayment.pricing.customer.indexable.api.IndexableCustomerQuoteQuery.out
- filtersmap<string, string[]>
- pagepayment.common.Page.outDescription
- numberinteger<int32>
- sizeinteger<int32>
- tokenstring
- takepayment.common.Take.outDescription
- limitinteger<int32>
- isAscendingboolean
- searchstringDescription
- sortFieldstringDescription
- pageInfopayment.common.PageInfo.out
- pageNumberinteger<int32>
- pageSizeinteger<int32>
- pageTokenstring
- totalPagesinteger<int32>
- totalResultsinteger<int32>
- rowspayment.pricing.customer.indexable.api.CustomerQuoteRow.out[]
- customerIdstring
- customerNamestring
- quoteIdstring
- opportunitystring
- versionstring
- statusstring
- ownerspayment.pricing.customer.quote.CustomerQuoteOwner.out[]
- idstringrequiredDescription
- namestringrequiredDescription
- reviewerspayment.pricing.customer.quote.CustomerQuoteReview.out[]
- idstringrequiredDescription
- namestringrequiredDescription
- approvedboolean
- startTimeInSecondsinteger<int64>
- endTimeInSecondsinteger<int64>
- quoteAmountnumber
- isLastVersionboolean
- rowCountinteger<int32>
curl
curl --request POST \
--url https://app.amberflo.io/payments/pricing/query/customer-quote \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/payments/pricing/query/customer-quote", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/payments/pricing/query/customer-quote")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/payments/pricing/query/customer-quote"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"metadata": {
"filters": "",
"page": {
"number": "",
"size": "",
"token": ""
},
"take": {
"limit": "",
"isAscending": false
},
"search": "",
"sortField": ""
},
"pageInfo": {
"pageNumber": "",
"pageSize": "",
"pageToken": "",
"totalPages": "",
"totalResults": ""
},
"rows": [
{
"customerId": "",
"customerName": "",
"quoteId": "",
"opportunity": "",
"version": "",
"status": "",
"owners": [
{
"id": "",
"name": ""
}
],
"reviewers": [
{
"id": "",
"name": "",
"approved": false
}
],
"startTimeInSeconds": "",
"endTimeInSeconds": "",
"quoteAmount": 0,
"isLastVersion": false,
"rowCount": ""
}
]
}